
@article{machanavajjhala_l-diversity:_2007,
	title = {l-diversity: Privacy beyond k-anonymity},
	volume = {1},
	issn = {15564681},
	url = {http://portal.acm.org/citation.cfm?doid=1217299.1217302},
	doi = {10.1145/1217299.1217302},
	shorttitle = {l-diversity},
	number = {1},
	journaltitle = {{ACM} Transactions on Knowledge Discovery from Data},
	author = {Machanavajjhala, Ashwin and Kifer, Daniel and Gehrke, Johannes and Venkitasubramaniam, Muthuramakrishnan},
	urldate = {2019-02-04},
	date = {2007-03-01},
	langid = {english},
	note = {Article No. 3}
}

@inproceedings{li_t-closeness:_2007,
	title = {t-Closeness: Privacy Beyond k-Anonymity and l-Diversity},
	doi = {10.1109/ICDE.2007.367856},
	shorttitle = {t-Closeness},
	abstract = {The k-anonymity privacy requirement for publishing microdata requires that each equivalence class (i.e., a set of records that are indistinguishable from each other with respect to certain "identifying" attributes) contains at least k records. Recently, several authors have recognized that k-anonymity cannot prevent attribute disclosure. The notion of l-diversity has been proposed to address this; l-diversity requires that each equivalence class has at least l well-represented values for each sensitive attribute. In this paper we show that l-diversity has a number of limitations. In particular, it is neither necessary nor sufficient to prevent attribute disclosure. We propose a novel privacy notion called t-closeness, which requires that the distribution of a sensitive attribute in any equivalence class is close to the distribution of the attribute in the overall table (i.e., the distance between the two distributions should be no more than a threshold t). We choose to use the earth mover distance measure for our t-closeness requirement. We discuss the rationale for t-closeness and illustrate its advantages through examples and experiments.},
	eventtitle = {2007 {IEEE} 23rd International Conference on Data Engineering},
	pages = {106--115},
	booktitle = {2007 {IEEE} 23rd International Conference on Data Engineering},
	author = {Li, Ninghui and Li, Tiancheng and Venkatasubramanian, Suresh},
	date = {2007-04},
	keywords = {Privacy, attribute disclosure, Computer science, data privacy, Data security, database theory, Databases, Diseases, Earth, earth mover distance measure, equivalence class, identifying attributes, k-anonymity privacy requirement, l-diversity, microdata publishing, Motion measurement, Protection, Publishing, Remuneration, t-closeness},
	file = {IEEE Xplore Abstract Record:C\:\\Users\\Johannes\\sciebo\\Zotero\\storage\\U2ND3J3Y\\4221659.html:text/html;IEEE Xplore Full Text PDF:C\:\\Users\\Johannes\\sciebo\\Zotero\\storage\\I25TNDI7\\Li et al. - 2007 - t-Closeness Privacy Beyond k-Anonymity and l-Dive.pdf:application/pdf}
}

@inproceedings{zhou_preserving_2008,
	location = {Cancun, Mexico},
	title = {Preserving Privacy in Social Networks Against Neighborhood Attacks},
	isbn = {978-1-4244-1836-7 978-1-4244-1837-4},
	url = {http://ieeexplore.ieee.org/document/4497459/},
	doi = {10.1109/ICDE.2008.4497459},
	abstract = {Recently, as more and more social network data has been published in one way or another, preserving privacy in publishing social network data becomes an important concern. With some local knowledge about individuals in a social network, an adversary may attack the privacy of some victims easily. Unfortunately, most of the previous studies on privacy preservation can deal with relational data only, and cannot be applied to social network data. In this paper, we take an initiative towards preserving privacy in social network data. We identify an essential type of privacy attacks: neighborhood attacks. If an adversary has some knowledge about the neighbors of a target victim and the relationship among the neighbors, the victim may be re-identiﬁed from a social network even if the victim’s identity is preserved using the conventional anonymization techniques. We show that the problem is challenging, and present a practical solution to battle neighborhood attacks. The empirical study indicates that anonymized social networks generated by our method can still be used to answer aggregate network queries with high accuracy.},
	eventtitle = {2008 {IEEE} 24th International Conference on Data Engineering ({ICDE} 2008)},
	pages = {506--515},
	booktitle = {2008 {IEEE} 24th International Conference on Data Engineering},
	publisher = {{IEEE}},
	author = {Zhou, Bin and Pei, Jian},
	urldate = {2019-02-06},
	date = {2008-04},
	langid = {english},
	file = {Zhou and Pei - 2008 - Preserving Privacy in Social Networks Against Neig.pdf:C\:\\Users\\Johannes\\sciebo\\Zotero\\storage\\WW6VYHII\\Zhou and Pei - 2008 - Preserving Privacy in Social Networks Against Neig.pdf:application/pdf}
}

@article{hay_resisting_2010,
	title = {Resisting structural re-identification in anonymized social networks},
	volume = {19},
	issn = {1066-8888, 0949-877X},
	url = {http://link.springer.com/10.1007/s00778-010-0210-x},
	doi = {10.1007/s00778-010-0210-x},
	pages = {797--823},
	number = {6},
	journaltitle = {The {VLDB} Journal},
	author = {Hay, Michael and Miklau, Gerome and Jensen, David and Towsley, Don and Li, Chao},
	urldate = {2019-02-06},
	date = {2010-12},
	langid = {english},
	file = {Hay et al. - 2010 - Resisting structural re-identification in anonymiz.pdf:C\:\\Users\\Johannes\\sciebo\\Zotero\\storage\\9KKTNRYH\\Hay et al. - 2010 - Resisting structural re-identification in anonymiz.pdf:application/pdf}
}

@inproceedings{liu_towards_2008,
	location = {Vancouver, Canada},
	title = {Towards identity anonymization on graphs},
	isbn = {978-1-60558-102-6},
	url = {http://portal.acm.org/citation.cfm?doid=1376616.1376629},
	doi = {10.1145/1376616.1376629},
	abstract = {The proliferation of network data in various application domains has raised privacy concerns for the individuals involved. Recent studies show that simply removing the identities of the nodes before publishing the graph/social network data does not guarantee privacy. The structure of the graph itself, and in its basic form the degree of the nodes, can be revealing the identities of individuals. To address this issue, we study a speciﬁc graph-anonymization problem. We call a graph k-degree anonymous if for every node v, there exist at least k −1 other nodes in the graph with the same degree as v. This deﬁnition of anonymity prevents the re-identiﬁcation of individuals by adversaries with a priori knowledge of the degree of certain nodes. We formally deﬁne the graph-anonymization problem that, given a graph G, asks for the k-degree anonymous graph that stems from G with the minimum number of graph-modiﬁcation operations. We devise simple and eﬃcient algorithms for solving this problem. Our algorithms are based on principles related to the realizability of degree sequences. We apply our methods to a large spectrum of synthetic and real datasets and demonstrate their eﬃciency and practical utility.},
	eventtitle = {the 2008 {ACM} {SIGMOD} international conference},
	pages = {93},
	booktitle = {Proceedings of the 2008 {ACM} {SIGMOD} international conference on Management of data  - {SIGMOD} '08},
	publisher = {{ACM} Press},
	author = {Liu, Kun and Terzi, Evimaria},
	urldate = {2019-02-06},
	date = {2008},
	langid = {english},
	file = {Liu and Terzi - 2008 - Towards identity anonymization on graphs.pdf:C\:\\Users\\Johannes\\sciebo\\Zotero\\storage\\WRL3N8ZJ\\Liu and Terzi - 2008 - Towards identity anonymization on graphs.pdf:application/pdf}
}

@book{cramer_secure_2015,
	location = {Cambridge ; New York},
	title = {Secure multiparty computation: an information-theoretic approach},
	isbn = {978-1-107-04305-3},
	shorttitle = {Secure multiparty computation},
	publisher = {Cambridge University Press},
	author = {Cramer, Ronald and Damgård, I. B. and Nielsen, Jesper Buus},
	date = {2015},
	keywords = {Computer network protocols, Computer networks, Computer security, Information theory, Security measures}
}

@incollection{safavi-naini_multiparty_2012,
	location = {Berlin, Heidelberg},
	title = {Multiparty Computation from Somewhat Homomorphic Encryption},
	volume = {7417},
	isbn = {978-3-642-32008-8 978-3-642-32009-5},
	url = {http://link.springer.com/10.1007/978-3-642-32009-5_38},
	abstract = {We propose a general multiparty computation protocol secure against an active adversary corrupting up to n−1 of the n players. The protocol may be used to compute securely arithmetic circuits over any ﬁnite ﬁeld Fpk . Our protocol consists of a preprocessing phase that is both independent of the function to be computed and of the inputs, and a much more eﬃcient online phase where the actual computation takes place. The online phase is unconditionally secure and has total computational (and communication) complexity linear in n, the number of players, where earlier work was quadratic in n. Moreover, the work done by each player is only a small constant factor larger than what one would need to compute the circuit in the clear. We show this is optimal for computation in large ﬁelds. In practice, for 3 players, a secure 64-bit multiplication can be done in 0.05 ms. Our preprocessing is based on a somewhat homomorphic cryptosystem. We extend a scheme by Brakerski et al., so that we can perform distributed decryption and handle many values in parallel in one ciphertext. The computational complexity of our preprocessing phase is dominated by the public-key operations, we need O(n2/s) operations per secure multiplication where s is a parameter that increases with the security parameter of the cryptosystem. Earlier work in this model needed Ω(n2) operations. In practice, the preprocessing prepares a secure 64-bit multiplication for 3 players in about 13 ms.},
	pages = {643--662},
	booktitle = {Advances in Cryptology – {CRYPTO} 2012},
	publisher = {Springer Berlin Heidelberg},
	author = {Damgård, Ivan and Pastro, Valerio and Smart, Nigel and Zakarias, Sarah},
	editor = {Safavi-Naini, Reihaneh and Canetti, Ran},
	urldate = {2019-02-08},
	date = {2012},
	langid = {english},
	doi = {10.1007/978-3-642-32009-5_38},
	file = {Damgård et al. - 2012 - Multiparty Computation from Somewhat Homomorphic E.pdf:C\:\\Users\\Johannes\\sciebo\\Zotero\\storage\\826JU9TZ\\Damgård et al. - 2012 - Multiparty Computation from Somewhat Homomorphic E.pdf:application/pdf}
}

@incollection{feigenbaum_efficient_1992,
	location = {Berlin, Heidelberg},
	title = {Efficient Multiparty Protocols Using Circuit Randomization},
	volume = {576},
	isbn = {978-3-540-55188-1},
	url = {http://link.springer.com/10.1007/3-540-46766-1_34},
	abstract = {The difference between theory and practice often rests on one major factor: efficiency. In distributed systems, communication is usually expensive, and protocols designed €orpractical use must require as few rounds of communication and as small messages as possible.},
	pages = {420--432},
	booktitle = {Advances in Cryptology — {CRYPTO} ’91},
	publisher = {Springer Berlin Heidelberg},
	author = {Beaver, Donald},
	editor = {Feigenbaum, Joan},
	urldate = {2019-02-08},
	date = {1992},
	langid = {english},
	doi = {10.1007/3-540-46766-1_34},
	file = {Beaver - 1992 - Efficient Multiparty Protocols Using Circuit Rando.pdf:C\:\\Users\\Johannes\\sciebo\\Zotero\\storage\\YX23SRRH\\Beaver - 1992 - Efficient Multiparty Protocols Using Circuit Rando.pdf:application/pdf}
}

@article{dwork_algorithmic_2013,
	title = {The Algorithmic Foundations of Differential Privacy},
	volume = {9},
	issn = {1551-305X, 1551-3068},
	url = {http://www.nowpublishers.com/articles/foundations-and-trends-in-theoretical-computer-science/TCS-042},
	doi = {10.1561/0400000042},
	pages = {211--407},
	number = {3},
	journaltitle = {Foundations and Trends in Theoretical Computer Science},
	author = {Dwork, Cynthia and Roth, Aaron},
	urldate = {2019-02-09},
	date = {2013},
	langid = {english},
	file = {Dwork and Roth - 2013 - The Algorithmic Foundations of Differential Privac.pdf:C\:\\Users\\Johannes\\sciebo\\Zotero\\storage\\QSEJD7GD\\Dwork and Roth - 2013 - The Algorithmic Foundations of Differential Privac.pdf:application/pdf}
}

@inproceedings{dwork_differential_2006,
	title = {Differential Privacy},
	isbn = {978-3-540-35908-1},
	doi = {10.1007/11787006_1},
	abstract = {In 1977 Dalenius articulated a desideratum for statistical databases: nothing about an individual should be learnable from the database that cannot be learned without access to the database. We give a general impossibility result showing that a formalization of Dalenius’ goal along the lines of semantic security cannot be achieved. Contrary to intuition, a variant of the result threatens the privacy even of someone not in the database. This state of affairs suggests a new measure, differential privacy, which, intuitively, captures the increased risk to one’s privacy incurred by participating in a database. The techniques developed in a sequence of papers [8, 13, 3], culminating in those described in [12], can achieve any desired level of privacy under this measure. In many cases, extremely accurate information about the database can be provided while simultaneously ensuring very high levels of privacy.},
	pages = {1--12},
	booktitle = {Automata, Languages and Programming},
	publisher = {Springer Berlin Heidelberg},
	author = {Dwork, Cynthia},
	editor = {Bugliesi, Michele and Preneel, Bart and Sassone, Vladimiro and Wegener, Ingo},
	date = {2006}
}

@article{differential_privacy_team_apple_learning_2017,
	title = {Learning with Privacy at Scale},
	volume = {1},
	url = {https://machinelearning.apple.com/2017/12/06/learning-with-privacy-at-scale.html},
	number = {8},
	journaltitle = {Apple Machine Learning Journal},
	author = {{Differential Privacy Team, Apple}},
	urldate = {2019-02-09},
	date = {2017-12},
	file = {appledifferentialprivacysystem.pdf:C\:\\Users\\Johannes\\sciebo\\Zotero\\storage\\9N25AWLK\\appledifferentialprivacysystem.pdf:application/pdf}
}

@online{noauthor_linddun_2014,
	title = {{LINDDUN} privacy threat modeling},
	url = {https://linddun.org/index.php},
	urldate = {2019-02-10},
	date = {2014},
	file = {LINDDUN privacy threat modeling:C\:\\Users\\Johannes\\sciebo\\Zotero\\storage\\ZV6P6VV5\\index.html:text/html}
}